
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#if !defined(AFX_IMPORTDLG_H__757B3C75_D359_4315_AD3E_8A0961DDBC9E__INCLUDED_)
#define AFX_IMPORTDLG_H__757B3C75_D359_4315_AD3E_8A0961DDBC9E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ImportDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CImportDlg dialog

class CImportDlg : public CDialog
{
// Construction
public:
	CImportDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CImportDlg)
	enum { IDD = IDD_IMPORT_DIALOG };
	CEdit	m_ctrlEditPath;
	CEdit	m_ctrlEditTopic;
	CButton	m_ctrlCheckTopic;
	CButton	m_ctrlCheckOverwrite;
	CButton	m_ctrlCheckPls;
	CButton	m_ctrlCheckMrf;
	CButton	m_ctrlCheckM3u;
	CButton	m_ctrlCheckDat;
	CString	m_editPathStr;
	CString	m_editTopicStr;
	BOOL	m_bCheckDat;
	BOOL	m_bCheckM3u;
	BOOL	m_bCheckMrf;
	BOOL	m_bCheckPls;
	BOOL	m_bCheckOverwrite;
	BOOL	m_bCheckTopic;
	//}}AFX_DATA

	// 9/27/2021
	// Default path set by caller.
	CString m_pathContentsFiles;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CImportDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CImportDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnButtonBrowse();
	virtual void OnOK();
	afx_msg void OnCheckDat();
	afx_msg void OnCheckM3u();
	afx_msg void OnCheckMrf();
	afx_msg void OnCheckOverwrite();
	afx_msg void OnCheckPls();
	afx_msg void OnCheckTopic();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	// From: Q262954
	// Resizable Dlg
	int m_nCurHeight;	// current height of the dialog 
	int m_nScrollPos;	// current vertical scroll position
	CRect m_rect; 

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IMPORTDLG_H__757B3C75_D359_4315_AD3E_8A0961DDBC9E__INCLUDED_)
